import StaticContentList from '@/components/StaticContentList/StaticContentList'
import { fetchPosts } from '@/services/content-service'
import { useEffect, useState, useTransition } from 'react'

export const mdxComponents = {
  StaticContentList: ({ type, urlPrefix, max = 0 }) => {
    const [items, setItems] = useState([])
    const [isLoading, setLoading] = useState(true)

    useEffect(function () {
      switch (type) {
        case 'posts':
          (async function () {
            const res = await fetchPosts([])
            const json = await res.json()
            setItems(json.data.sort((a, b) => a.date_published < b.date_published) ?? [])
            setLoading(false)
          })()
          break

        default:
          throw `Could not render StaticContentList: content type ${type} not supported.`
      }
    }, [])

    return (
      <>
        {isLoading && <p>Loading...</p>}
        {!isLoading && <StaticContentList entries={items} urlPrefix={urlPrefix} max={max} />}
      </>

    )
  }
}
